Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.mail.smime
Class SMIMEException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.bouncycastle.mail.smime.SMIMEException

All Implemented Interfaces:
  java.io.Serializable

    public class SMIMEException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`SMIMEException(java.lang.String name)`
`SMIMEException(java.lang.String name, java.lang.Exception e)`

Method Summary
`java.lang.Throwable` `getCause()`
`java.lang.Exception` `getUnderlyingException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SMIMEException

    public SMIMEException(java.lang.String name)

### SMIMEException

    public SMIMEException(java.lang.String name,
                          java.lang.Exception e)

Method Detail

### getUnderlyingException

    public java.lang.Exception getUnderlyingException()

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Bouncy Castle Cryptography Library 1.45